/*
  mapping.h
  Jeff McElroy
  jmcelroy11@sio.midco.net
*/

/*
    ypanything, an NIS gateway to non-NIS sources
    Copyright (C) 2004  Jeff McElroy <jmcelroy11@sio.midco.net>
 
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA                                                                 
*/

typedef struct MAPPING MAPPING;

MAPPING *mappingOpen ();
void mappingClose (MAPPING * mapping);
int mappingSet (MAPPING * mapping, void *key, int keyLength, void *value,
		int valueLength);
int mappingGet (MAPPING * mapping, void **key, int *keyLength, void **value,
		int *valueLength);
int mappingGetFirst (MAPPING * mapping, void **key, int *keyLength,
		     void **value, int *valueLength);
int mappingGetNext (MAPPING * mapping, void **key, int *keyLength,
		    void **value, int *valueLength);
